> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-delete.md).

# workflows delete

## Synopsis

```shell
omics workbench workflows delete WORKFLOW_ID 
  [--force]
```

## Description

Delete a workflow specified by the provided `WORKFLOW_ID`. When a workflow is deleted, it becomes unusable for future runs, however a reference to the workflow is retained for provenance purposes.

## Examples

Delete a workflow by confirming the action:

```shell
omics workbench workflows delete 123e4567-e89b-12d3-a456-426614174000
```

Delete a workflow using the `--force` flag without prompting for confirmation:

```shell
omics workbench workflows delete 123e4567-e89b-12d3-a456-426614174000 --force
```

## Positional Arguments

### `WORKFLOW_ID`

**Required**. Specify the identifier of the workflow that you want to delete.

## Flags

### `--force`

Delete the workflow without prompting for confirmation. Use this flag if you want to force the deletion.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
